namespace MinicsConsole.Connector.Base;

public interface IMini8DataNotifier
{
    public string Name { get; set; }
    void ChannelInfoNotify(byte mini8, byte channel, ChannelData channelData);
    void AlarmNotify(byte mini8, byte channel, float temperature);
    void AlarmTcBrockenNotify(byte mini8, byte channel);
    void Mini8ConnectNotify(byte mini8, bool connected);
}